﻿<UserControl x:Class="OrderCategorization.Controls.MultiSelectComboBoxUC"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:OrderCategorization.Controls"
             mc:Ignorable="d" 
             d:DesignHeight="450" d:DesignWidth="800" x:Name="owner">
    <Grid>
        <Grid.RowDefinitions>
            <RowDefinition Height="auto"/>
            <RowDefinition Height="auto"/>
        </Grid.RowDefinitions>
        <local:ComboBoxUC  x:Name="SuggestionComboBox" SelectionFinalized="SuggestionComboBox_SelectionFinalized" ItemsSource="{Binding ItemsSource, ElementName=owner}" CreatePageType="{Binding CreatePageType, ElementName=owner}" Tag="{Binding Tag, ElementName=owner}" MinHeight="42"/>
        <TextBlock Text="{Binding SelectedItems.Count, ElementName=owner, StringFormat='\{0\} مورد انتخاب شده'}" VerticalAlignment="Bottom" Margin="0,0,32,0" Foreground="#FFD1D1D1" HorizontalAlignment="Right"/>
        <Rectangle Stroke="WhiteSmoke" Grid.Row="1" Margin="24,-1,24,0"/>
        <ItemsControl ItemsSource="{Binding SelectedItems, ElementName=owner}" Grid.Row="1" MaxHeight="80" Margin="25,0,25,0">
            <ItemsControl.Template>
                <ControlTemplate TargetType="{x:Type ItemsControl}">
                    <ScrollViewer Style="{DynamicResource for_scrollviewer}">
                        <ItemsPresenter/>
                    </ScrollViewer>
                </ControlTemplate>
            </ItemsControl.Template>
            <ItemsControl.ItemsPanel>
                <ItemsPanelTemplate>
                    <VirtualizingStackPanel/>
                </ItemsPanelTemplate>
            </ItemsControl.ItemsPanel>
            <ItemsControl.ItemTemplate>
                <DataTemplate>
                    <Grid Height="40" Style="{StaticResource RowGridStyle}" IsEnabled="{Binding IsTotalRow, Converter={StaticResource booleanConverter}, ConverterParameter=false}">
                        <Grid.ColumnDefinitions>
                            <ColumnDefinition Width="*"/>
                            <ColumnDefinition Width="60"/>
                        </Grid.ColumnDefinitions>
                        <TextBlock HorizontalAlignment="Left" Text="{Binding .}" VerticalAlignment="Center" Margin="8,0,0,0"/>
                        <Button Style="{DynamicResource ListCommandButtonStyle}" Tag="{Binding .}" HorizontalAlignment="Center" VerticalAlignment="Center" Grid.Column="1" Width="32" Height="32" Click="RemoveButton_Click">
                            <Image Source="/OrderCategorization;component/Images/CommonIcon/Close.png" Stretch="Fill" Width="20" Height="20" RenderOptions.BitmapScalingMode="HighQuality"/>
                        </Button>
                        <Rectangle Stroke="WhiteSmoke" VerticalAlignment="Bottom" Grid.ColumnSpan="2" StrokeThickness="1" StrokeDashArray="2 1"/>
                        <Rectangle HorizontalAlignment="Left" Width="2" Fill="{Binding Path=Tag, RelativeSource={RelativeSource AncestorType={x:Type Grid}}}" StrokeThickness="0" />
                    </Grid>
                </DataTemplate>
            </ItemsControl.ItemTemplate>
        </ItemsControl>
    </Grid>
</UserControl>
